/* nv-ids.h */

#ifndef __NV_PCI_IDS_H__
#define __NV_PCI_IDS_H__

typedef struct {unsigned long id; const char *name;} _nv_pci_ids;

static _nv_pci_ids pciIds[] =
{
  { 0x0020, "RIVA TNT" },
  { 0x0028, "RIVA TNT2" },
  { 0x0029, "RIVA TNT2 (Ultra)" },
  { 0x002C, "RIVA TNT2 (Vanta)" },
  { 0x002D, "RIVA TNT2 (M64)" },
  { 0x002E, "RIVA TNT2" },
  { 0x002F, "RIVA TNT2" },
  { 0x00A0, "RIVA TNT2 (Integrated)" },
  { 0x0100, "GeForce 256" },
  { 0x0101, "GeForce DDR" },
  { 0x0103, "Quadro" },
  { 0x0110, "GeForce2 MX" },
  { 0x0111, "GeForce2 MX DDR" },
  { 0x0112, "GeForce2 Go" },
  { 0x0113, "GeForce2 MXR" },
  { 0x0150, "GeForce2 Pro" },
  { 0x0151, "GeForce2 GTS" },
  { 0x0152, "GeForce2 Ultra" },
  { 0x0153, "Quadro2 Pro" },
  { 0x0200, "GeForce3" },
  { 0x0203, "Quadro DCC" },
  { 0x00, NULL }
};

#endif /* __NV_PCI_IDS_H__*/

